ppumove(1)

NAME
ppumove - The FPC Pascal unit mover.

SYNOPSIS
ppumove [-sqbhw] [-o File] [-d path] [-e extension] files...

Description
ppumove collects one or several Free Pascal unit files and archives them in a static or shared library.

Usage
You can invoke ppumove with as the only required argument the name of the unit from which you want to make an archive. Specifying multiple files is also possible, they will be put in the same archive.

Options
ppumove has several options, which are case sensitive:

-b  This option tells ppumove to write a shell script (a batch file on DOS) that performs the needed calls to ar and ld. The script will be called pmove, with an extension of .sh on Linux, and .bat on DOS. You can then call this script manually afterwards.

-d path
    This option tells ppumove where to generate the new unit files. By default, this is the same directory as where the files are found. If you specify as the output extension the same extension as the units you want to move, not specifying the destination directory may cause problems.

-e ext
    This option sets the extension of the new unit files to ext. By default .ppl is used. However, you can specify .ppu as the extension. If you do, be sure to use also the -d switch, or you will overwrite the old units. Note however, that the compiler will only look for extensions .ppu and .ppl when looking for units.

-h  Shows a short help screen.

-o file
    This option allows you to specify the name of the library to be generated. You must use this option if you specify more than one unit on the command-line. If you specified only one unit on the command-line, the generated library will have the unit name, with lib prepended (on Linux). You do not need to specify the lib part, this will be prepended automatically if needed.

-q  Tells ppumove to operate quietly.

-s  Tells ppumove to generate a static library. By default, a shared library is generated (except on DOS).

-w  Tells ppumove it should use the windows linker and archiver. Do not use this option on Linux.

SEE ALSO

    ppc386(1) ppudep(1) ppudump(1)